/***************************************************************************
 *   Copyright (C) 2003 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef TAVIAMDIFRM_H
#define TAVIAMDIFRM_H

#include <kmdimainfrm.h>
#include <kdialogbase.h>

/**
@author TAM(Teppei Tamra)
*/
class TaviaMdiFrm : public KMdiMainFrm
{
Q_OBJECT
public:
    TaviaMdiFrm(QWidget *parent = 0, const char *name = 0, KMdi::MdiMode mdiMode=KMdi::ChildframeMode, WFlags flags=WType_TopLevel|WDestructiveClose);

    ~TaviaMdiFrm();

public slots:
    virtual void closeWindow(KMdiChildView *pWnd, bool layoutTaskBar=true);
    void bcConfig();
protected slots:
    void mdiMenuPopup();
    void changeMdiMode(KMdi::MdiMode m);
    void destroyBcd();
signals:
    void signalUpdate();
protected:
    KDialogBase *pBcd;
};

#endif
