/***************************************************************************
 *   Copyright (C) 2004 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef TAVIATABBUTTONCONFIGWIDGET_H
#define TAVIATABBUTTONCONFIGWIDGET_H

#include <qwidget.h>
#include <qlayout.h>
#include <kcolorbutton.h>
#include <kdualcolorbutton.h>
#include <klocale.h>
#include <taviatabbuttonconfig.h>

/**
@author TAM(Teppei Tamra)
*/
class TaviaTabButtonConfig;
class TaviaTabButtonConfigWidget : public QWidget
{
Q_OBJECT
public:
    TaviaTabButtonConfigWidget(TaviaTabButtonConfig *config = 0, QWidget *parent = 0, const char *name = 0);
    
    ~TaviaTabButtonConfigWidget();

protected:
    KDualColorButton * pDcb;
    KColorButton * pAcb;
    KColorButton * pScb;
    TaviaTabButtonConfig *pConfig;
protected:
    void initWidget(TaviaTabButtonConfig *config);
public slots:
    void resetSetting();
    void applySetting();
signals:
    void applied();
};

#endif
